Setup shows errors from gnuplot-base.dash and python38-devel.sh

Marco Atzeri marco.atzeri@gmail.com
Wed Jul 14 19:59:44 GMT 2021



On 14.07.2021 21:02, Achim Gratz wrote:
> Doug Henderson via Cygwin writes:
>> The first error message occurred when I installed all pending packages
>> this morning. I hoped to heal the problem by reinstalling the
>> installed gnuplot packages. Now I get both the messages.
> 
> If you look in /var7Log/setup.log.full you should be able to see what
> error messages, if any, were recorded.
> 
> The gnuplot related script should just set up the current alternative
> for "gnuplot" to use, but something on your system seems to prevent
> that from happening.  You can also run the script in sh (you must tell
> the shell to source it) and should get the same error (most likely).
> 
> 
> Regards,
> Achim.
> 

Hi Doug,

any error running directly
   /etc/postinstall/python38-devel.sh

After that the following commands should produce
somthing similar to :

$ alternatives --display 2to3
2to3 - status is auto.
  link currently points to /usr/bin/2to3-3.8
/usr/bin/2to3-3.8 - priority 38
/usr/bin/2to3-3.6 - priority 36
/usr/bin/2to3-3.7 - priority 37
Current `best' version is /usr/bin/2to3-3.8.

  $ alternatives --display python3-config
python3-config - status is auto.
  link currently points to /usr/bin/python3.8-config
/usr/bin/python3.8-config - priority 38
/usr/bin/python3.6-config - priority 36
/usr/bin/python3.7-config - priority 37
Current `best' version is /usr/bin/python3.8-config.


More information about the Cygwin mailing list